View Issue Details

IDProjectCategoryView StatusLast Update
0004929Talerexchange API (HTTP specification)public2017-06-06 14:18
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PriorityhighSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.3Fixed in Version0.3 
Summary0004929: need to add wire transfer aggregate fee
DescriptionThis is an API modification with implications for the aggregator, auditor, wallet and exchange.
TagsNo tags attached.

Relationships

parent of 0004934 closedFlorian Dold show new wire transfer fee on withdrawal 
parent of 0004935 closedChristian Grothoff check wire fees are acceptable or covered 
parent of 0004936 closedFlorian Dold check wire fees are acceptable or covered when making payment 
parent of 0004937 closedChristian Grothoff wire fees should be returned from the libtalerexchange /wire API 

Activities

Christian Grothoff

2017-03-02 07:33

manager   ~0011877

Specification written in 8324b00..66a3df7

Christian Grothoff

2017-03-03 20:32

manager   ~0011883

364abba..f406f96 adds the fee to the /wire response and updates the tools and configuration files to allow us to setup the exchange accordingly.

The aggregator does not yet charge the fees.

Updates to the merchant (download fee structure, check, allow specification of fees) and wallet are missing.

Christian Grothoff

2017-03-04 16:50

manager   ~0011885

Last edited: 2017-03-04 16:51

View 3 revisions

Exchange aggregation logic implemented in f406f96..6ab67a3.

Merchant adjusted to new API in 341bb90..50bdee0

(Merchant does NOT yet download exchange fee structure and check that it is acceptable; the above change merely adjusted to tracking API changes.)

Christian Grothoff

2017-05-02 14:43

manager   ~0012095

Wallet done, so victory!

Issue History

Date Modified Username Field Change
2017-03-02 06:38 Christian Grothoff New Issue
2017-03-02 06:38 Christian Grothoff Status new => assigned
2017-03-02 06:38 Christian Grothoff Assigned To => Christian Grothoff
2017-03-02 07:33 Christian Grothoff Note Added: 0011877
2017-03-03 20:32 Christian Grothoff Note Added: 0011883
2017-03-04 16:50 Christian Grothoff Note Added: 0011885
2017-03-04 16:50 Christian Grothoff Note Edited: 0011885 View Revisions
2017-03-04 16:51 Christian Grothoff Note Edited: 0011885 View Revisions
2017-03-04 16:53 Christian Grothoff Relationship added parent of 0004934
2017-03-04 16:55 Christian Grothoff Relationship added parent of 0004935
2017-03-04 16:57 Christian Grothoff Relationship added parent of 0004936
2017-03-04 16:59 Christian Grothoff Relationship added parent of 0004937
2017-03-08 13:15 Christian Grothoff Relationship added parent of 0004943
2017-03-19 06:54 Christian Grothoff Relationship deleted parent of 0004943
2017-05-02 14:43 Christian Grothoff Status assigned => resolved
2017-05-02 14:43 Christian Grothoff Resolution open => fixed
2017-05-02 14:43 Christian Grothoff Fixed in Version => 0.3
2017-05-02 14:43 Christian Grothoff Note Added: 0012095
2017-06-06 14:18 Christian Grothoff Status resolved => closed